WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: pyqt5 picore 13.0.3 rpi 4  (Read 2426 times)

Offline ketank

  • Newbie
  • *
  • Posts: 40
  • learning ...
Re: pyqt5 picore 13.0.3 rpi 4
« Reply #30 on: November 16, 2021, 05:29:06 AM »
btw, why are you using cmake/make rather than configure/make?

just following https://wiki.qt.io/Building_Qt_5_from_Git#Getting_the_source_code

I realized that ninja is the way to go.
make failed for me and then switched to ninja.

was using make -j$(nproc) and it crashed with excessive memory usage!!!

running again  ;) ;) ;)

Offline ketank

  • Newbie
  • *
  • Posts: 40
  • learning ...
Re: pyqt5 picore 13.0.3 rpi 4
« Reply #31 on: November 16, 2021, 10:09:42 AM »
Thank you for all you support especially Rich and Juanito :) :)

1. I installed qt5 and built it.
2. set the path to qmake
3. installed pyqt5 using pip.

Interesting problem though - the X has stopped working.
I see following error -
Quote
failed in waitforX

NOTE: It was working before the QT5 installation as I know...

Once I have it working, will test if I can really have the qt5 UI working...

any ideas how to fix the above issue will help.


Offline ketank

  • Newbie
  • *
  • Posts: 40
  • learning ...
Re: pyqt5 picore 13.0.3 rpi 4
« Reply #32 on: November 16, 2021, 10:16:13 AM »
The additional components I installed were
Quote
Xorg-3d.tcz
Xorg-fonts.tcz

it was part of the required libraries for building qt5 as per http://tinycorelinux.net/11.x/x86_64/tcz/src/qt-5.x/compile_qt-5.x

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10149
Re: pyqt5 picore 13.0.3 rpi 4
« Reply #33 on: November 16, 2021, 10:27:42 AM »
Hi ketank
My guess is  Xorg-3d.tcz  is causing the error.

Offline ketank

  • Newbie
  • *
  • Posts: 40
  • learning ...
Re: pyqt5 picore 13.0.3 rpi 4
« Reply #34 on: November 16, 2021, 10:31:01 AM »
Hi Rich,

Thank you for the help.
After second reboot, X is working fine.

Tried a basic QT app and I need to have the external drive connected to run the applications. If not, it fails with the libraries not found.
Seems some hard links while installing the PyQt5..